<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/VectorXYZ.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">VectorXYZ.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vector_x_y_z_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_VectorXYZ_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_VectorXYZ_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_vector_x_y_z.html">   11</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_vector_x_y_z.html">VectorXYZ</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_vector_x_y_z.html#aa0dc0342551ae583219ddeae72abd1e4">   13</a></span>&#160;  <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_vector_x_y_z.html#aa0dc0342551ae583219ddeae72abd1e4">x</a>; </div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_vector_x_y_z.html#a0408e8cae571753e1a06c00773097e78">   14</a></span>&#160;  <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_vector_x_y_z.html#a0408e8cae571753e1a06c00773097e78">y</a>; </div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_vector_x_y_z.html#acdcd54bea39a6fb06eb29c66ded13ce0">   15</a></span>&#160;  <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_vector_x_y_z.html#acdcd54bea39a6fb06eb29c66ded13ce0">z</a>; </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;};</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="namespaceeic.html#abf61b67b875cfde0d13cecf4eee036db">   20</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a>&amp; value) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_vector_x_y_z.html#aa0dc0342551ae583219ddeae72abd1e4">x</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_vector_x_y_z.html#a0408e8cae571753e1a06c00773097e78">y</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  o &lt;&lt; value.<a class="code" href="classeic_1_1_vector_x_y_z.html#acdcd54bea39a6fb06eb29c66ded13ce0">z</a> &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html_aa0dc0342551ae583219ddeae72abd1e4"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html#aa0dc0342551ae583219ddeae72abd1e4">eic::VectorXYZ::x</a></div><div class="ttdeci">double x</div><div class="ttdoc">x </div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00013">VectorXYZ.h:13</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html_a0408e8cae571753e1a06c00773097e78"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html#a0408e8cae571753e1a06c00773097e78">eic::VectorXYZ::y</a></div><div class="ttdeci">double y</div><div class="ttdoc">y </div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00014">VectorXYZ.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00011">VectorXYZ.h:11</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html_acdcd54bea39a6fb06eb29c66ded13ce0"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html#acdcd54bea39a6fb06eb29c66ded13ce0">eic::VectorXYZ::z</a></div><div class="ttdeci">double z</div><div class="ttdoc">z </div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00015">VectorXYZ.h:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
